<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class AdministratorBillFlagUpdate extends Model
{
    protected $table = 'administrator_bill_flag_update';

    public function billl() {
        return $this->hasOne(Bill::class, 'id', 'bill_id');
    }

    public function billFlagAcknowledgedByProAdmin() {
        return $this->hasOne(Pro::class, 'id', 'flagged_by_administrator_pro_id');
    }

    public function billFlagAcknowledgedByPro() {
        return $this->hasOne(Pro::class, 'id', 'administrator_flag_acknowledged_by_pro_id');
    }
}
